## GwyResultsExport GwyResultsExport — Controls for value set export |

## Functions

GtkWidget * | gwy_results_export_new ()
void | gwy_results_export_set_format ()
GwyResultsReportType | gwy_results_export_get_format ()
void | gwy_results_export_set_results ()
GwyResults * | gwy_results_export_get_results ()
void | gwy_results_export_set_title ()
void | gwy_results_export_set_style ()
GwyResultsExportStyle | gwy_results_export_get_style ()
void | gwy_results_export_set_actions_sensitive ()
void | gwy_results_fill_filename ()
void | gwy_results_fill_channel ()
void | gwy_results_fill_volume ()
void | gwy_results_fill_xyz ()
void | gwy_results_fill_curve_map ()
void | gwy_results_fill_graph ()
void | gwy_results_fill_graph_curve ()
void | gwy_results_fill_lawn_curve ()

## Signals

void | copy | Action
void | format-changed | Action
void | save | Action

## Types and Values

enum | GwyResultsExportStyle
struct | GwyResultsExport
struct | GwyResultsExportClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GwyResultsExport

## Implemented Interfaces

GwyResultsExport implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <app/gwyapp.h>

## Description

## Functions

### gwy_results_export_new ()

    GtkWidget *
    gwy_results_export_new (GwyResultsReportType format);

Creates new controls for result set export.

#### Parameters

format | Format to select. |

#### Returns

A newly created result set export widget.

Since: 2.50

### gwy_results_export_set_format ()

    void
    gwy_results_export_set_format (GwyResultsExport *rexport,
                                   GwyResultsReportType format);

Sets the selected format in result set export controls.

#### Parameters

rexport | Controls for result set export. |
format | Format to select. |

Since: 2.50

### gwy_results_export_get_format ()

    GwyResultsReportType
    gwy_results_export_get_format (GwyResultsExport *rexport);

Gets the selected format in result set export controls.

#### Parameters

rexport | Controls for result set export. |

#### Returns

Currently selected format.

Since: 2.50

### gwy_results_export_set_results ()

    void
    gwy_results_export_set_results (GwyResultsExport *rexport,
                                    GwyResults *results);

Sets the set of scalar values to save or copy by result set export controls.

If you supply a result set to save or copy `rexport` handles the Save and Copy buttons itself. So you do not need to connect to the "copy" and "save" signals, except if you need to ensure `results` are updated.

#### Parameters

rexport | Controls for result set export. |
results | Set of reported scalar values. May be `NULL` to unset. |

Since: 2.50

### gwy_results_export_get_results ()

    GwyResults *
    gwy_results_export_get_results (GwyResultsExport *rexport);

Gets the set of scalar values to save or copy by result set export controls.

#### Parameters

rexport | Controls for result set export. |

#### Returns

The GwyResults object, or `NULL`.

Since: 2.50

### gwy_results_export_set_title ()

    void
    gwy_results_export_set_title (GwyResultsExport *rexport,
                                  const gchar *title);

Sets the title of file save dialogue for result set export controls.

#### Parameters

rexport | Controls for result set export. |
title | File save dialogue title (or `NULL` to use the default). |

Since: 2.50

### gwy_results_export_set_style ()

    void
    gwy_results_export_set_style (GwyResultsExport *rexport,
                                  GwyResultsExportStyle style);

Sets the report style for result set export controls.

The report style determines which controls will be shown. For `GWY_RESULTS_EXPORT_FIXED_FORMAT` only the action buttons are shown. Tabular data (`GWY_RESULTS_EXPORT_TABULAR_DATA`) do not have the `GWY_RESULTS_REPORT_COLON` option. The default style `GWY_RESULTS_EXPORT_PARAMETERS` have the full controls.

#### Parameters

rexport | Controls for result set export. |
style | Report style. |

Since: 2.50

### gwy_results_export_get_style ()

    GwyResultsExportStyle
    gwy_results_export_get_style (GwyResultsExport *rexport);

Gets the report style for result set export controls.

See `gwy_results_export_set_style()` for discussion.

#### Parameters

rexport | Controls for result set export. |

#### Returns

The style of the results export controls.

Since: 2.50

### gwy_results_export_set_actions_sensitive ()

    void
    gwy_results_export_set_actions_sensitive
                                   (GwyResultsExport *rexport,
                                    gboolean sensitive);

Makes the action buttons (copy and save) sensitive or insensitive.

This is generally preferred to making the entire widget insensitive as the format can be selected independently on whether there is already anything to export.

#### Parameters

rexport | Controls for result set export. |
sensitive | `TRUE` to make the action buttons sensitive, `FALSE` to make them insensitive. |

Since: 2.50

### gwy_results_fill_filename ()

    void
    gwy_results_fill_filename (GwyResults *results,
                               const gchar *id,
                               GwyContainer *container);

Fills data file name in a set of reported scalar values.

This is a helper function for GwyResults. If `container` has no file name associated the value `id` is set to N.A.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
container | Data container corresponding to a file. |

Since: 2.50

### gwy_results_fill_channel ()

    void
    gwy_results_fill_channel (GwyResults *results,
                              const gchar *id,
                              GwyContainer *container,
                              gint i);

Fills image channel title in a set of reported scalar values.

This is a helper function for GwyResults. If the image has no title the associated the value `id` is set to N.A.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
container | Data container corresponding to a file. |
i | Channel number. |

Since: 2.50

### gwy_results_fill_volume ()

    void
    gwy_results_fill_volume (GwyResults *results,
                             const gchar *id,
                             GwyContainer *container,
                             gint i);

Fills volume data title in a set of reported scalar values.

This is a helper function for GwyResults. If the volume data have no title the associated the value `id` is set to N.A.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
container | Data container corresponding to a file. |
i | Volume data number. |

Since: 2.50

### gwy_results_fill_xyz ()

    void
    gwy_results_fill_xyz (GwyResults *results,
                          const gchar *id,
                          GwyContainer *container,
                          gint i);

Fills XYZ data title in a set of reported scalar values.

This is a helper function for GwyResults. If the XYZ data have no title the associated the value `id` is set to N.A.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
container | Data container corresponding to a file. |
i | XYZ data number. |

Since: 2.50

### gwy_results_fill_curve_map ()

    void
    gwy_results_fill_curve_map (GwyResults *results,
                                const gchar *id,
                                GwyContainer *container,
                                gint i);

Fills curve map data title in a set of reported scalar values.

This is a helper function for GwyResults. If the curve map data have no title the associated the value `id` is set to N.A.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
container | Data container corresponding to a file. |
i | Curve map data number. |

Since: 2.60

### gwy_results_fill_graph ()

    void
    gwy_results_fill_graph (GwyResults *results,
                            const gchar *id,
                            GwyGraphModel *graphmodel);

Fills graph title in a set of reported scalar values.

This is a helper function for GwyResults.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
graphmodel | A graph model. |

Since: 2.53

### gwy_results_fill_graph_curve ()

    void
    gwy_results_fill_graph_curve (GwyResults *results,
                                  const gchar *id,
                                  GwyGraphCurveModel *curvemodel);

Fills graph curve description in a set of reported scalar values.

This is a helper function for GwyResults.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
container | Data container corresponding to a file. |
curvemodel | A graph curve model. |

Since: 2.53

### gwy_results_fill_lawn_curve ()

    void
    gwy_results_fill_lawn_curve (GwyResults *results,
                                 const gchar *id,
                                 GwyLawn *lawn,
                                 gint i);

Fills lawn curve description in a set of reported scalar values.

This is a helper function for GwyResults.

#### Parameters

results | Set of reported scalar values. |
id | Value identifier. |
lawn | Curve map data object. |
i | Curve number in `lawn` . |

Since: 2.60

## Types and Values

### enum GwyResultsExportStyle

#### Members

GWY_RESULTS_EXPORT_PARAMETERS |  |
GWY_RESULTS_EXPORT_TABULAR_DATA |  |
GWY_RESULTS_EXPORT_FIXED_FORMAT |  |

### struct GwyResultsExport

    struct GwyResultsExport;

### struct GwyResultsExportClass

    struct GwyResultsExportClass {
        GtkHBoxClass parent_class;

        /* Signals */
        void (*copy)(GwyResultsExport *results_export);
        void (*save)(GwyResultsExport *results_export);
        void (*format_changed)(GwyResultsExport *results_export);

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Signal Details

### The `“copy”` signal

    void
    user_function (GwyResultsExport *rexport,
                   gpointer          user_data)

The ::copy signal is emitted when user presses the Copy button.

#### Parameters

rexport | The GwyResultsExport which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.50

### The `“format-changed”` signal

    void
    user_function (GwyResultsExport *rexport,
                   gpointer          user_data)

The ::format-changed signal is emitted when the selected format changes.

#### Parameters

rexport | The GwyResultsExport which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.50

### The `“save”` signal

    void
    user_function (GwyResultsExport *rexport,
                   gpointer          user_data)

The ::save signal is emitted when user presses the Save button.

#### Parameters

rexport | The GwyResultsExport which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.50